be.fgov.ehealth.commons._1_0.core

## Class LocalisedString

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.core.LocalisedString

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:18:26+02:00",
                 comments="JAXB RI v2.2.11")
      public class LocalisedString
      extends Object
      implements Serializable

  Java class for LocalisedString complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LocalisedString">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Lang" type="{urn:be:fgov:ehealth:commons:1_0:core}LangageType" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalisedString()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LangageType` | `getLang()` Gets the value of the lang property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setLang(LangageType value)` Sets the value of the lang property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalisedString

          public LocalisedString()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public LangageType getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `LangageType`

    - #### setLang

          public void setLang(LangageType value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `LangageType`

Connector Packaging TECHNICAL 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.